Subject: Re: Config timezone to prevent chaos when DST/changing timezone

From: Junio C Hamano <[email-masked]>
Date: Sat, 08 Feb 2025 13:54:26 -0800

Andreas Schwab <[email-masked]> writes:

> On Feb 07 2025, Devste Devste wrote:
>
>> With DST or manual timezone changes (e.g. travelling) you can end up
>> with commits that are illogically sorted - newer commits have an
>> author/committer date that is older than older commits.
>
> The time stamps in commits are recorded in Universal Time, so neither
> DST nor timezone changes (both are essentially equivalent) have an
> influence on how the time stamp is interpreted as a point in time.

The commits will be sorted correctly according to time, regardless
of the recorded timezone.  Thanks for pointing it out.